function Write-ProgressBarUnexpected {
    param (
        [Parameter(Mandatory = $true, Position = 0)][string]$StatusMessage,
        [Parameter(Mandatory = $false)][ValidateRange(1, [int]::MaxValue)][int]$Repetitions = 1,
        [Parameter(Mandatory = $false)][ValidateRange(1, [int]::MaxValue)][int]$MaxDots = 4

    )
    for ($i = 0; $i -lt $Repetitions; $i++) {
        # Repeat.
        for ($j = 0; $j -le $MaxDots; $j++) {
            # Add $j number of dots.
            Write-Progress -Activity "Unexpected status message: '$StatusMessage'$('.'*$j)" -Status "?% Complete:" -PercentComplete 1; Start-Sleep -Seconds 1
        }
    }
}